Subject: [bug#59372] [PATCH] gnu: peek: Add missing input.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 19 Nov 2022 10:38:26 +0100

jgart 写道：
> It was complaining on Ubuntu when I started it that either 
> ffmpeg needs
> to be installed or a gnome-shell needs to be running. I didn't 
> log the
> exact error message but that was more or less it.

And how does this patch provide ffmpeg?  It adds it to the build 
environment, but what happens then?

We know it doesn't add a reference to the final ‘peek’ output (you 
can verify this yourself, assuming peek builds reproducibly).  It 
doesn't change any code in the peek binary.

So what's the mechanism by which it would work?  It will need to 
be documented.

>> How are you invoking both peeks, and testing the difference?
>
> When I add ffmpeg it worked without the warning and actually 
> started
> recording my screen as expected. After pressing the record 
> button of
> course ;()

But how exactly?  Please provide exact steps and commands.

( 写道：
> Could you also update the inputs/arguments style to gexp form?

…but in a separate patch, please.)

Kind regards,

T G-R